<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layoutadmin}">
<head>
    <meta charset="UTF-8">
    <title>Analytics Dosen</title>
    <style>

        th, thead {
            position: relative;
            z-index: 2;
            background-color: white;
        }

        .marquee {
            top: 1em;
            position: relative;
            box-sizing: border-box;
            animation: marquee 10000s linear 0s infinite;
        }

        .marquee:hover {
            animation-play-state: paused;
        }

        @keyframes marquee {
            0% {
                transform: translate(0, 0);
            }
            100% {
                transform: translate(0, -100%);
            }
        }

        .marquee2 {
            top: 1em;
            position: relative;
            box-sizing: border-box;
            animation: marquee 250s linear 0s infinite;
        }

        .marquee2:hover {
            animation-play-state: paused;
        }

        @keyframes marquee2 {
            0% {
                transform: translate(0, 0);
            }
            100% {
                transform: translate(0, -100%);
            }
        }


        .tableFixHead {
            overflow-y: auto;
            height: 500px;
        }
        .tableFixHead thead th {
            position: sticky;
            top: 0;
        }
        table {
            border-collapse: collapse;
            width: 100%;
        }
        th,
        td {
            padding: 8px 16px;
        }
        th {
            background: #eee;
        }

        .borderless td, .borderless th {
            border: none;
        }


    </style>
</head>
<body>
<div layout:fragment="main">
    <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
        <div class="container-fluid">
            <div class="header-body">
                <!-- Card stats -->

                <div class="row">
                    <div class="col-xl-12 col-lg-12">
                        <div class="card card-stats mb-4 mb-xl-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">Analitik</h5>
                                        <span class="h2 font-weight-bold mb-0">Dosen </span>
                                    </div>
                                    <div class="col-auto">
                                        <div class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                                            <i class="fas fa-user-astronaut"></i>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <br>
                <br>

                <div class="row" sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAnyAuthority('VIEW_FINANCE') or hasAuthority('VIEW_KPS')">
                    <div class="col-xl-3 col-lg-6">
                        <div class="card card-stats mb-4 mb-xl-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">Jumlah Kelas</h5>
                                        <span class="h2 font-weight-bold mb-0" th:text="${jmlSemuaKelas}">120</span>
                                    </div>
                                    <div class="col-auto">
                                        <div class="icon icon-shape bg-success text-white rounded-circle shadow">
                                            <i class="fas fa-user"></i>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>
                    <div class="col-xl-3 col-lg-6">
                        <div class="card card-stats mb-4 mb-xl-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">Persentase Kelas Ontime</h5>
                                        <span class="h2 font-weight-bold mb-0" th:text="${jmlKelasOntime[0]}">2,356</span>
                                        |
                                        <span class="h2 font-weight-bold mb-0" th:text="${jmlKelasOntime[1] + '%'}">2,356</span>
                                    </div>
                                    <div class="col-auto">
                                        <div class="icon icon-shape bg-success text-white rounded-circle shadow">
                                            <i class="fas fa-user"></i>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-xl-3 col-lg-6">
                        <div class="card card-stats mb-4 mb-xl-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">Persentase Kelas Terlambat</h5>
                                        <span class="h2 font-weight-bold mb-0" th:text="${jmlKelasTerlambat[0]}">2,352</span>
                                        |
                                        <span class="h2 font-weight-bold mb-0" th:text="${jmlKelasTerlambat[1] + '%'}">2,456</span>
                                    </div>
                                    <div class="col-auto">
                                        <div class="icon icon-shape bg-success text-white rounded-circle shadow">
                                            <i class="fas fa-user"></i>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>
                    <div class="col-xl-3 col-lg-6">
                        <div class="card card-stats mb-4 mb-xl-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">Persentase Kelas Pengganti</h5>
                                        <span class="h2 font-weight-bold mb-0" >-</span>

                                    </div>
                                    <div class="col-auto">
                                        <div class="icon icon-shape bg-success text-white rounded-circle shadow">
                                            <i class="fas fa-user"></i>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <br>
                <br>
                <div class="row" sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAnyAuthority('VIEW_FINANCE') or hasAuthority('VIEW_KPS')">

                    <div class="col-xl-3 col-lg-6">
                        <div class="card card-stats mb-4 mb-xl-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">Total Kelas </h5>
                                        <span class="h2 font-weight-bold mb-0" th:text="${jmlKelasKosong[0]}">2,352</span>
                                        |
                                        <span class="h2 font-weight-bold mb-0" th:text="${jmlKelasKosong[1] + '%'}">2,456</span>
                                    </div>
                                    <div class="col-auto">
                                        <div class="icon icon-shape bg-success text-white rounded-circle shadow">
                                            <i class="fas fa-user"></i>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-xl-3 col-lg-6">
                        <div class="card card-stats mb-4 mb-xl-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">Total Kelas Online</h5>
                                        <span class="h2 font-weight-bold mb-0" th:text="${jmlKelasOnline[0]}">2,352</span>
                                        |
                                        <span class="h2 font-weight-bold mb-0" th:text="${jmlKelasOnline[1] + '%'}">2,456</span>
                                    </div>
                                    <div class="col-auto">
                                        <div class="icon icon-shape bg-success text-white rounded-circle shadow">
                                            <i class="fas fa-user"></i>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>
                    <div class="col-xl-3 col-lg-6">
                        <div class="card card-stats mb-4 mb-xl-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">Total Kelas Offline</h5>
                                        <span class="h2 font-weight-bold mb-0" th:text="${jmlKelasOffline[0]}">2,352</span>
                                        |
                                        <span class="h2 font-weight-bold mb-0" th:text="${jmlKelasOffline[1] + '%'}">2,456</span>
                                    </div>
                                    <div class="col-auto">
                                        <div class="icon icon-shape bg-success text-white rounded-circle shadow">
                                            <i class="fas fa-user"></i>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>
                    <div class="col-xl-3 col-lg-6">
                        <div class="card card-stats mb-4 mb-xl-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">Kelulusan Ontime</h5>
                                        <span class="h2 font-weight-bold mb-0">-</span>
                                    </div>
                                    <div class="col-auto">
                                        <div class="icon icon-shape bg-success text-white rounded-circle shadow">
                                            <i class="fas fa-user"></i>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>
                </div>
                <br>

            </div>
        </div>
    </div>


    <div class="container-fluid mt--7">

<!--        list total sks screen admin-->
<!--                            <div class="row" sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAnyAuthority('VIEW_FINANCE')">-->
<!--                                <div class="col-12">-->
<!--                                    <div class="card mb-4">-->
<!--                                        <div class="card-header pb-0">-->
<!--                                            <h4>List Total SKS</h4>-->
<!--                                        </div>-->
<!--                                        <div class="card-body px-0 pt-0 pb-2">-->
<!--        &lt;!&ndash;                                    <div class="table-responsive p-0">&ndash;&gt;-->
<!--                                            <div class="tableFixHead ">-->
<!--                                                <table class="table align-items-center mb-0 borderless">-->
<!--                                                    <thead>-->
<!--                                                    <tr>-->
<!--                                                        <th class="text-uppercase text-xxs font-weight-bolder opacity-7">No</th>-->
<!--                                                        <th class="text-uppercase text-xxs font-weight-bolder opacity-7">Nim</th>-->
<!--                                                        <th class="text-uppercase text-xxs font-weight-bolder opacity-7 ps-2">Nama</th>-->
<!--                                                        <th class="text-uppercase text-xxs font-weight-bolder opacity-7 ps-2">Prodi</th>-->
<!--                                                        <th class="text-uppercase text-xxs font-weight-bolder opacity-7 ps-2">Total SKS</th>-->
<!--                                                        <th class="text-uppercase text-xxs font-weight-bolder opacity-7 ps-2">Status</th>-->
<!--                                                    </tr>-->
<!--                                                    </thead>-->
<!--                                                    <tbody class="marquee">-->
<!--                                                    <tr th:each="data, row : ${listTotalSks}">-->
<!--                                                        <td th:text="${(row.index + 1)}"></td>-->
<!--                                                        <td th:text="${data.getNim}"></td>-->
<!--                                                        <td th:text="${data.getNama}"></td>-->
<!--                                                        <td th:text="${data.getNamaProdi}"></td>-->
<!--                                                        <td th:text="${data.getTotalSks}"></td>-->
<!--                                                        <td th:text="${data.getStatusKrs}"></td>-->
<!--                                                    </tr>-->
<!--                                                    </tbody>-->
<!--                                                </table>-->
<!--                                            </div>-->
<!--        &lt;!&ndash;                                    <div class="card-footer py-4">&ndash;&gt;-->
<!--        &lt;!&ndash;                                        <nav aria-label="...">&ndash;&gt;-->
<!--        &lt;!&ndash;                                            <ul class="pagination justify-content-end mb-0" sd:pagination="full">&ndash;&gt;-->
<!--        &lt;!&ndash;                                                <li class="disabled"><a href="#" aria-label="Previous"><span&ndash;&gt;-->
<!--        &lt;!&ndash;                                                        aria-hidden="true">&laquo;</span></a>&ndash;&gt;-->
<!--        &lt;!&ndash;                                                </li>&ndash;&gt;-->
<!--        &lt;!&ndash;                                                <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>&ndash;&gt;-->
<!--        &lt;!&ndash;                                                </li>&ndash;&gt;-->
<!--        &lt;!&ndash;                                            </ul>&ndash;&gt;-->
<!--        &lt;!&ndash;                                        </nav>&ndash;&gt;-->
<!--        &lt;!&ndash;                                    </div>&ndash;&gt;-->
<!--                                        </div>-->
<!--                                    </div>-->
<!--                                </div>-->
<!--                            </div>-->

<!--&lt;!&ndash;        list total sks screen dosen&ndash;&gt;-->
<!--                            <div class="row" sec:authorize="hasAuthority('VIEW_KPS') or hasAuthority('VIEW_DOSEN')or hasAuthority('VIEW_WAREK2') or hasAuthority('VIEW_DOSEN_AKADEMIK')">-->
<!--                                <div class="col-12">-->
<!--                                    <div class="card mb-4">-->
<!--                                        <div class="card-header pb-0">-->
<!--                                            <h4>List Total SKS Dosen</h4>-->
<!--                                        </div>-->
<!--                                        <div class="card-body px-0 pt-0 pb-2">-->
<!--                                            &lt;!&ndash;                                    <div class="table-responsive p-0">&ndash;&gt;-->
<!--                                            <div class="tableFixHead ">-->
<!--                                                <table class="table align-items-center mb-0 borderless">-->
<!--                                                    <thead>-->
<!--                                                    <tr>-->
<!--                                                        <th class="text-uppercase text-xxs font-weight-bolder opacity-7">No</th>-->
<!--                                                        <th class="text-uppercase text-xxs font-weight-bolder opacity-7">Nim</th>-->
<!--                                                        <th class="text-uppercase text-xxs font-weight-bolder opacity-7 ps-2">Nama</th>-->
<!--                                                        <th class="text-uppercase text-xxs font-weight-bolder opacity-7 ps-2">Prodi</th>-->
<!--                                                        <th class="text-uppercase text-xxs font-weight-bolder opacity-7 ps-2">Total SKS</th>-->
<!--                                                        <th class="text-uppercase text-xxs font-weight-bolder opacity-7 ps-2">Status</th>-->
<!--                                                    </tr>-->
<!--                                                    </thead>-->
<!--                                                    <tbody class="marquee2">-->
<!--                                                    <tr th:each="data, row : ${listTotalSks2}">-->
<!--                                                        <td th:text="${(row.index + 1)}"></td>-->
<!--                                                        <td th:text="${data.getNim}"></td>-->
<!--                                                        <td th:text="${data.getNama}"></td>-->
<!--                                                        <td th:text="${data.getNamaProdi}"></td>-->
<!--                                                        <td th:text="${data.getTotalSks}"></td>-->
<!--                                                        <td th:text="${data.getStatusKrs}"></td>-->
<!--                                                    </tr>-->
<!--                                                    </tbody>-->
<!--                                                </table>-->
<!--                                            </div>-->
<!--                                            &lt;!&ndash;                                    <div class="card-footer py-4">&ndash;&gt;-->
<!--                                            &lt;!&ndash;                                        <nav aria-label="...">&ndash;&gt;-->
<!--                                            &lt;!&ndash;                                            <ul class="pagination justify-content-end mb-0" sd:pagination="full">&ndash;&gt;-->
<!--                                            &lt;!&ndash;                                                <li class="disabled"><a href="#" aria-label="Previous"><span&ndash;&gt;-->
<!--                                            &lt;!&ndash;                                                        aria-hidden="true">&laquo;</span></a>&ndash;&gt;-->
<!--                                            &lt;!&ndash;                                                </li>&ndash;&gt;-->
<!--                                            &lt;!&ndash;                                                <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>&ndash;&gt;-->
<!--                                            &lt;!&ndash;                                                </li>&ndash;&gt;-->
<!--                                            &lt;!&ndash;                                            </ul>&ndash;&gt;-->
<!--                                            &lt;!&ndash;                                        </nav>&ndash;&gt;-->
<!--                                            &lt;!&ndash;                                    </div>&ndash;&gt;-->
<!--                                        </div>-->
<!--                                    </div>-->
<!--                                </div>-->
<!--                            </div>-->

        <div class="row">
            <div class="col-12">
                <div class="card mb-4">
                    <div class="card-header pb-0">
                        <h4>Kehadiran Dosen Terbaik</h4>
                    </div>
                    <div class="card-header">
                        <form method="get">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Tahun Akademik</label>
                                        <select name="tahunAkademik" class="form-control">
                                            <option value="" disabled selected>-- Select One --</option>
                                            <option th:each="data : ${tahunAkademik}"
                                                    th:selected="(${data} == *{selectedTahun})"
                                                    th:text="${data.namaTahunAkademik}"
                                                    th:value="${data.id}">sdasd</option>
                                        </select>
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Nama Dosen</label>
                                            <div class="input-group mb-3">
                                                <input type="text" name="search" class="form-control" placeholder="Cari nama dosen disini" >
                                            </div>
                                    </div>
                                </div>

                            </div>
                            <div class="row">
                                <div class="col-md-12" style="text-align: center;">
                                    <div class="form-group">
                                        <button type="submit" class="btn btn-info"><i class="fa fa-search"></i> Cari</button>
                                    </div>
                                </div>

                            </div>

                        </form>
                    </div>
                    <div class="card-body px-0 pt-0 pb-2">
                        <div class="table-responsive p-0">
                            <table class="table align-items-center mb-0">
                                <thead>
                                <tr>
                                    <th class="text-uppercase text-xxs font-weight-bolder opacity-7">No</th>
                                    <th class="text-uppercase text-xxs font-weight-bolder opacity-7">Nama</th>
                                    <th class="text-uppercase text-xxs font-weight-bolder opacity-7 ps-2">Prodi</th>
                                    <th class="text-uppercase text-xxs font-weight-bolder opacity-7 ps-2">Sesi Tepat Waktu</th>
                                    <th class="text-uppercase text-xxs font-weight-bolder opacity-7 ps-2">Total Semua Sesi</th>
                                    <th class="text-uppercase text-xxs font-weight-bolder opacity-7 ps-2">Persentase</th>
                                </tr>
                                </thead>
                                <tbody>
                                <tr th:each="data, row : ${klasemenDosen}">
                                    <td th:text="${(row.index + 1)}"></td>
                                    <td th:text="${data.getDosen}"></td>
                                    <td th:text="${data.getNamaProdi}"></td>
                                    <td th:text="${data.getSesiTepatWaktu}"></td>
                                    <td th:text="${data.getSemuaSesi}"></td>
                                    <td th:text="${data.getPersentase} + '%'"></td>
                                </tr>
                                </tbody>
                            </table>
                        </div>
                        <div class="card-footer py-4">
                            <nav aria-label="...">
                                <ul class="pagination justify-content-end mb-0" sd:pagination="full">
                                    <li class="disabled"><a href="#" aria-label="Previous"><span
                                            aria-hidden="true">&laquo;</span></a>
                                    </li>
                                    <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>
                                    </li>
                                </ul>
                            </nav>
                        </div>
                    </div>
                </div>
            </div>
        </div>


    </div>
</div>
</body>
</html>